
Name:          open-xchange-messenger
BuildArch:     noarch
#!BuildIgnore: post-build-checks
%if 0%{?rhel_version} && 0%{?rhel_version} >= 700
BuildRequires: ant
%else
BuildRequires: ant-nodeps
%endif
%if 0%{?rhel_version} && 0%{?rhel_version} == 600
BuildRequires: java7-devel
%else
BuildRequires: java-devel >= 1.7.0
%endif
BuildRequires: open-xchange-core
BuildRequires: open-xchange-admin
Version:       1.0.0
%define        ox_release 17
Release:       %{ox_release}_<CI_CNT>.<B_CNT>
Group:         Applications/Productivity
License:       GPL-2.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
URL:           http://www.open-xchange.com/
Source:        %{name}_%{version}.orig.tar.bz2
Summary:       The Open-Xchange Messenger
Autoreqprov:   no
Requires:      open-xchange-core >= 7.8.0, open-xchange-admin >= 7.8.0

%description
The Open-Xchange Messenger

Authors:
--------
    Open-Xchange

%prep
%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -lib build/lib -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -f build/build.xml clean build

%post
if [ ${1:-0} -eq 2 ]; then
    # only when updating

    . /opt/open-xchange/lib/oxfunctions.sh

    # prevent bash from expanding, see bug 13316
    GLOBIGNORE='*'

    PFILE=/opt/open-xchange/etc/oxmessenger.properties

    # SoftwareChange_Request-2488
    ox_add_property com.openexchange.messenger.proxy.hostname "" $PFILE
    ox_add_property com.openexchange.messenger.proxy.port "" $PFILE
    ox_add_property com.openexchange.messenger.proxy.username "" $PFILE
    ox_add_property com.openexchange.messenger.proxy.password "" $PFILE

    # SoftwareChange Request-2533
    ox_add_property com.openexchange.messenger.secure.ssl "true" $PFILE
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /opt/open-xchange/bundles/
/opt/open-xchange/bundles/*
%dir /opt/open-xchange/etc/
%config(noreplace) /opt/open-xchange/etc/oxmessenger.properties
%dir /opt/open-xchange/osgi/bundle.d/
/opt/open-xchange/osgi/bundle.d/*
%dir /opt/open-xchange/lib/
/opt/open-xchange/lib/*
%dir /opt/open-xchange/sbin/
/opt/open-xchange/sbin/*

%changelog
* Fri Jun 19 2015 Thorben Betten <thorben.betten@open-xchange.com>
Build for patch 2015-06-18 (2551)
* Tue Jun 02 2015 Thorben Betten <thorben.betten@open-xchange.com>
Build for patch 2015-06-03 (2534)
* Wed Apr 08 2015 Thorben Betten <thorben.betten@open-xchange.com>
Build for patch 2015-04-08 (2480)
* Tue Mar 24 2015 Thorben Betten <thorben.betten@open-xchange.com>
Build for patch 2015-03-25 (2457)
* Mon Feb 23 2015 Thorben Betten <thorben.betten@open-xchange.com>
Thriteenth candidate for 1.0.0 release
* Thu Feb 19 2015 Thorben Betten <thorben.betten@open-xchange.com>
Twelfth candidate for 1.0.0 release
* Fri Feb 13 2015 Thorben Betten <thorben.betten@open-xchange.com>
Eleventh candidate for 1.0.0 release
* Mon Feb 09 2015 Thorben Betten <thorben.betten@open-xchange.com>
Tenth candidate for 1.0.0 release
* Mon Feb 02 2015 Thorben Betten <thorben.betten@open-xchange.com>
Ninth candidate for 1.0.0 release
* Fri Jan 30 2015 Thorben Betten <thorben.betten@open-xchange.com>
eighth candidate for 1.0.0 release
* Fri Jan 16 2015 Thorben Betten <thorben.betten@open-xchange.com>
Seventh candidate for 1.0.0 release
* Thu Dec 11 2014 Thorben Betten <thorben.betten@open-xchange.com>
Sixth candidate for 1.0.0 release
* Mon Jun 23 2014 Thorben Betten <thorben.betten@open-xchange.com>
Fifth candidate for 1.0.0 release
* Fri Jun 20 2014 Thorben Betten <thorben.betten@open-xchange.com>
Fourth candidate for 1.0.0 release
* Fri Jun 13 2014 Thorben Betten <thorben.betten@open-xchange.com>
Third candidate for 1.0.0 release
* Fri May 30 2014 Thorben Betten <thorben.betten@open-xchange.com>
Second candidate for 1.0.0 release
* Fri May 16 2014 Thorben Betten <thorben.betten@open-xchange.com>
First candidate for 1.0.0 release
* Sun Mar 30 2014 Thorben Betten <thorben.betten@open-xchange.com>
Initial release
